csdoc2texi(1)

NAME
csdoc2texi - convert C# documentation into texinfo

SYNOPSIS
csdoc2texi [ options ] input ...

DESCRIPTION
Csdoc2texi reads the supplied XML input files, and converts them into texinfo. Specifying multiple input files is exactly the same as specifying one input file which is the concatenation of all of the files. Only one output file is created. Csdoc2texi must be invoked multiple times to convert multiple input files into multiple output files.

OPTIONS

-o file, --output file
    Specify the name of the file to write the texinfo output to. The default is `input.texi'. If there are multiple input files, then the name of the output file is based on the name of the first input file. If the first input file is `-', then the output is written to standard output. If file is `-', then the output is written to standard output.

-fstandalone
    Make a stand-alone texinfo document that includes headers, a title page, and an index. This is the default.

-fembedded
    Make an embedded texinfo document. Use this if you wish to incorporate the texinfo output into a larger document.

-fparent=name
    Specify the name of the parent node for an embedded document. The default value is `Top'. This option is ignored in stand-alone documents.

-ffilename=name
    Specify the value for `@setfilename'. The default is the same as the first input file with the extension changed to `.info'. If the first input file is standard input, then the default value is `stdout.info'. This option is ignored in embedded documents.

-ftitle=title
    Specify the title to use for the document. The default is the same as `-ffilename'. This option is ignored in embedded documents.

-fdescription=desc
    Specify the description to use in the info header of the document. The default is the same as `-ftitle'. This option is ignored in embedded documents.

-fchapternewpage=value
    Specify the value for `@setchapternewpage'. The default value is `on'. Valid values are `on', `off', or `odd'. This option is ignored in embedded documents.

-fcopyright=msg
    Specify the Copyright message to use for the document. The default is no Copyright message. This option is ignored in embedded documents.

-findex
    Include an index chapter in the output. This is the default in stand-alone documents.

-fno-index
    Do not include an index chapter in the output. This is the default in embedded documents.

-fnewpage
    Use a new page for each type member description. This is the default.

-fno-newpage
    Do not use a new page for each type member description.

--help
    Print a usage message for the csdoc2texi program.

-v, --version
    Print the version of the csdoc2texi program.

--  Marks the end of the command-line options, and the beginning of the input filenames. You may need to use this if your filename begins with '-'. e.g. "csdoc2texi -- -input.xml". This is not needed if the input is stdin: "csdoc2texi -" is perfectly valid.

AUTHOR
Written by Southern Storm Software, Pty Ltd. http://www.southern-storm.com.au/

SEE ALSO
csdoc(1), csdoc2html(1)

DIAGNOSTICS
Exit status is 1 if an error occurred while processing the input. Otherwise the exit status is 0.